# $Id: smeserver-sane.spec,v 1.1 2013/03/03 22:02:24 unnilennium Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-sane
%define version 0.1
%define release 7
Summary: Set up sane for scanner.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.sane-project.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-sane-0.1-six.patch
Patch1: smeserver-sane-0.1-saned.patch
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-release >= 7.1
Requires: sane-backends >= 1.0.17
Requires: smeserver-xinetd
AutoReqProv: no

%description
SANE is a universal scanner interface.

%changelog
* Fri Apr 18 2008 Shad L. Lords <slords@mail.com> 0.1-7
- Move xinetd stuff to new package
- Clean up service names

* Fri Apr 18 2008 Stephen Noble 0.1-6
- fixes for smecontribs

* Fri Apr 11 2008 Anne Aublanc 0.1-5
- minor fixes

* Fri Apr 11 2008 Stephen Noble 0.1-4
- more fixes

* Thu Apr 10 2008 Stephen Noble 0.1-3
- more fixes

* Wed Apr 09 2008 Stephen Noble 0.1-2
- minor fixes

* Sun Apr 06 2008 Anne Aublanc and JP Pialasse 0.1-1
- initial release

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"    >> %{name}-%{version}-filelist

%pre
/usr/sbin/groupadd \
  -g 510 saned 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
